summaryrefslogtreecommitdiffstats
path: root/trinity-apps/koffice-i18n
diff options
context:
space:
mode:
authorormorph <roma251078@mail.ru>2022-04-30 20:47:27 +0300
committerSlávek Banko <slavek.banko@axis.cz>2022-05-01 16:23:29 +0200
commit336d8ce82c00a00153a823a187dbc8e0bcf2c7a1 (patch)
tree920bb9b62e96c92b2a5a7e99352e68afb2783ce8 /trinity-apps/koffice-i18n
parent1c8d53512742aab368c0f7e9973604eaa54b43ba (diff)
downloadtde-packaging-gentoo-336d8ce82c00a00153a823a187dbc8e0bcf2c7a1.tar.gz
tde-packaging-gentoo-336d8ce82c00a00153a823a187dbc8e0bcf2c7a1.zip
Added version 14.0.12
Signed-off-by: ormorph <roma251078@mail.ru>
Diffstat (limited to 'trinity-apps/koffice-i18n')
-rw-r--r--trinity-apps/koffice-i18n/Manifest1
-rw-r--r--trinity-apps/koffice-i18n/koffice-i18n-14.0.12.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/trinity-apps/koffice-i18n/Manifest b/trinity-apps/koffice-i18n/Manifest
index 22f162b9..f5568e02 100644
--- a/trinity-apps/koffice-i18n/Manifest
+++ b/trinity-apps/koffice-i18n/Manifest
@@ -1 +1,2 @@
DIST koffice-i18n-trinity-14.0.11.tar.xz 44076344 BLAKE2B 1434f5dccead2ce891cb5ece14eae4726c7d29efae6687a9acb8815bba75edc74225e20d2d72273c55840c2da33b9b08680d3133fd90c8caaa3cd0a21cdae9f0 SHA512 8c2f73f4869b42d0f85f7d8295f3f8fd0c1e9e871741477ce0a53d1fe0b9ff5756f64d97e378c0f3b057265e9dc827c39dc13e9a7b0ddeed30e97a189eee727f
+DIST koffice-i18n-trinity-14.0.12.tar.xz 44079848 BLAKE2B f89411859b57abf9716b5709d7247305279ca6f8f4944836eeffd6d09004e1af14e51d20f82418fb1b6499855054947a2b015b339cbcbe4cd35c9be29c294195 SHA512 063fcd3479a3a55dfb3ca540a1414e382cd9b612600c4037a953518c7767514b992bafcf6edfd78e15c2f50a65ae244a4e35b872922c39b326f5803c37e8029c
diff --git a/trinity-apps/koffice-i18n/koffice-i18n-14.0.12.ebuild b/trinity-apps/koffice-i18n/koffice-i18n-14.0.12.ebuild
new file mode 100644
index 00000000..a4e4e371
--- /dev/null
+++ b/trinity-apps/koffice-i18n/koffice-i18n-14.0.12.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Copyright 2022 The Trinity Desktop Project
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+TRINITY_MODULE_TYPE="applications/office"
+TRINITY_BUILD_ADMIN="yes"
+
+inherit trinity-base-2
+
+DESCRIPTION="TDE internationalization package for Koffice [Trinity]"
+HOMEPAGE="http://trinitydesktop.org/"
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="14"
+if [[ ${PV} != *9999* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+IUSE=""
+
+TRINITY_LANGS="bg ca cs cy da de el en_GB es et eu fa fi
+ fr ga gl hu it ja km lv ms nb nds ne nl pl pt pt_BR
+ ru sk sl sr sr@Latn sv tr uk zh_CN zh_TW"
+
+for X in ${TRINITY_LANGS} ; do
+ IUSE="${IUSE} l10n_${X}"
+done
+
+DEPEND="
+ ~trinity-base/tdelibs-${PV}
+"
+RDEPEND="$DEPEND"
+
+run_phase() {
+ local lang dir phase;
+ phase=${1}
+ lang=${2}
+
+ dir="koffice-i18n-${lang}"
+ pushd "${S}/${dir}" || die "No such dir: ${dir}"
+ trinity-base-2_${phase}
+ popd
+}
+
+src_prepare() {
+ trinity_l10n_for_each_locale_do run_phase src_prepare
+ eapply_user
+}
+
+src_configure() {
+ trinity_l10n_for_each_locale_do run_phase src_configure
+}
+
+src_compile() {
+ trinity_l10n_for_each_locale_do run_phase src_compile
+}
+
+src_install() {
+ trinity_l10n_for_each_locale_do run_phase src_install
+}